[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libguestfs] [PATCH] gobject: Require minimum gobject library version of 2.26.0



The GObject bindings require G_DEFINE_BOXED_TYPE, which was not added until
2.25.15. There are probably other dependencies.
---
 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/configure.ac b/configure.ac
index db4e25c..f3a6f13 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1005,7 +1005,7 @@ AC_ARG_ENABLE([gobject],
 AS_IF(
   [test "x$enable_gobject" != "xno"],
   [
-    PKG_CHECK_MODULES([GOBJECT], [gobject-2.0],
+    PKG_CHECK_MODULES([GOBJECT], [gobject-2.0 >= 2.26.0],
       [
         AC_SUBST([GOBJECT_CFLAGS])
         AC_SUBST([GOBJECT_LIBS])
-- 
1.7.7.5


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]